<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.cool.store.mapper.tp.TpScoreJournalMapper">
  <resultMap id="BaseResultMap" type="com.cool.store.entity.tp.TpScoreJournalDO">
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" jdbcType="BIGINT" property="id" />
    <result column="journal_no" jdbcType="VARCHAR" property="journalNo" />
    <result column="store_id" jdbcType="VARCHAR" property="storeId" />
    <result column="store_num" jdbcType="VARCHAR" property="storeNum" />
    <result column="join_brand" jdbcType="BIT" property="joinBrand" />
    <result column="join_model" jdbcType="BIT" property="joinModel" />
    <result column="store_type" jdbcType="BIT" property="storeType" />
    <result column="store_name" jdbcType="VARCHAR" property="storeName" />
    <result column="occur_score" jdbcType="VARCHAR" property="occurScore" />
    <result column="occur_date" jdbcType="DATE" property="occurDate" />
    <result column="occur_before_score" jdbcType="DECIMAL" property="occurBeforeScore" />
    <result column="occur_after_score" jdbcType="DECIMAL" property="occurAfterScore" />
    <result column="apply_type" jdbcType="BIT" property="applyType" />
    <result column="apply_no" jdbcType="VARCHAR" property="applyNo" />
    <result column="project_category" jdbcType="VARCHAR" property="projectCategory" />
    <result column="project_name" jdbcType="VARCHAR" property="projectName" />
    <result column="rule_id" jdbcType="BIGINT" property="ruleId" />
    <result column="rule_no" jdbcType="VARCHAR" property="ruleNo" />
    <result column="create_time" jdbcType="TIMESTAMP" property="createTime" />
    <result column="update_time" jdbcType="TIMESTAMP" property="updateTime" />
  </resultMap>
</mapper>